Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - mysql

Package Base Details: mysql

Git Clone URL: https://aur-dev.archlinux.org/mysql.git (read-only)
Submitter: Barthalion
Maintainer: Muflone
Last Packager: Muflone
Votes: 44
Popularity: 1.427572
First Submitted: 2013-04-25 19:13
Last Updated: 2016-10-16 22:32

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

Marcel_K commented on 2014-10-10 16:11

Why are you building these packages with -fno-rtti? Only to save a bit of memory?

FYI, this causes problems when compiling mysql-connector-c++ [1]: ‘dynamic_cast’ not permitted with -fno-rtti. Removing that flag here solves this issue.

BTW, I got a warning "Package contains reference to $srcdir" at the end of package_mysql().

[1] https://aur.archlinux.org/packages/mysql-connector-c%2B%2B/

e8hffff commented on 2014-05-07 01:27

Arr worked out problem. Somehow 'other' read access was off on the 'php.ini'. I got fooled the ini had loaded as some sets were custom ot manually changed in php.

e8hffff commented on 2014-05-07 01:11

Is anyone else got problems with mysql or mysqli working? Checking extensions mysqlnd is loaded so I should have access. The ini has the extensions enabled for mysql and mysqli. In php the commands of these feature sets instantly kills the script without error. I had them working but after an update they stopped. I tried reinstalling all components. Getting no errors to indicate what's wrong. Are these features built at build time?

rustam commented on 2013-12-06 08:57

Updated to v5.6.15.

stevenfrog commented on 2013-11-14 01:06

But now many package depend on mariadb, so I have to keep it.

And I just not install libmysqlclient, and it seems work fine.

rustam commented on 2013-11-13 15:19

It is supposed to conflict w/ mariadb and both mysql and mariadb shouldn't be installed at the same time since mariadb is designed as a drop-in replacement for mysql and they have the same paths to binaries, configs, dbs, etc.

stevenfrog commented on 2013-11-13 15:13

"libmysqlclient and libmariadbclient are in conflict"

I think we should not make 'libmysqlclient', because it conflict to arch default package.

enteenteente commented on 2013-10-03 12:28

- comment removed, just relaized:

"Warning: The group base-devel is assumed already installed when building with makepkg . Members of "base-devel" should not be included in makedepends arrays."

https://wiki.archlinux.org/index.php/PKGBUILD#makedepends

sorry!

enteenteente commented on 2013-10-02 22:23

i do get:
"/aur-mysql/./PKGBUILD: line 29: patch: command not found"

=> missing build-dependency to patch

After installing 'patch' manually get:
CMake Error: CMake was unable to find a build program corresponding to "Unix Makefiles". CMAKE_MAKE_PROGRAM is not set. You probably need to select a different build tool.

=> missing build-dependency to make

after installing 'make' manually i get:
CMake Error: Internal CMake error, TryCompile configure of cmake failed

=> missing build-dependency to gcc

enteenteente commented on 2013-10-02 22:13

i do get:
"/aur-mysql/./PKGBUILD: line 29: patch: command not found"
probably only because of a missing build-dependency to patch.

After installing 'patch' manually i now get:
CMake Error: CMake was unable to find a build program corresponding to "Unix Makefiles". CMAKE_MAKE_PROGRAM is not set. You probably need to select a different build tool.